#include<bits/stdc++.h>
using namespace std;

int main(int argc, char** argv){
	int n, k, a[20001], b;
	cin>>n>>k;
	for(int i = 0; i < n; i++){
		cin>>a[i];
		if(a[i] == k){
			b = i;
		}
	}	
	if(k == a[n-1]){
		cout<<a[0];
	}
	else cout<<a[b + 1];
	
	return 0;
}